﻿using Bridge.Html5;

namespace DuckInterface
{
    public class App
    {
        public static void Main()
        {
            var svc1 = InterfaceCreator.Create<ISvc1>("sst");

            svc1.Op1("");
            svc1.Op2();
            svc1.Op3();

            Window.Set("Svc1", svc1);
        }
    }

    // d.ts DocGen test

    /// <summary>
    /// XmlDoc Summary of ISvc1
    /// </summary>
    public interface ISvc1
    {
        /// <summary>
        /// XmlDoc Summary of Op1
        /// </summary>
        /// <param name="a">XmlDoc Param of a</param>
        /// <param name="x">XmlDoc Param of x</param>
        /// <returns>XmlDoc Return</returns>
        string Op1(string a, int x = 0);

        string Op2();

        string Op3();
    }
}
